## org.h2.test.store
Class SequenceMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          org.h2.dev.store.btree.MVMap<K,V>
              org.h2.test.store.SequenceMap<K,V>

Type Parameters:
  `K` - the key type
  `V` - the key type

All Implemented Interfaces:
  java.util.Map<K,V>

    public class SequenceMap<K,V>

extends MVMap<K,V>

A custom map returning the values 1 .. 10.

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class org.h2.dev.store.btree.MVMap
`root, store`

Method Summary
`java.util.Set<K>` `keySet()`

Methods inherited from class org.h2.dev.store.btree.MVMap
`binarySearch, binarySearchPage, changeIterator, checkOpen, checkWrite, clear, close, containsKey, entrySet, equals, get, getPage, getRoot, getSize, hashCode, hasUnsavedChanges, isClosed, isReadOnly, keyIterator, min, nextKey, openVersion, put, put, remove, remove, removeMap, removePage, setReadOnly, setRoot, size, toString`

Methods inherited from class java.util.AbstractMap
`clone, containsValue, isEmpty, putAll, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`
  Overrides:
    `keySet` in class `MVMap<K,V>`